- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherConOption Class Reference

the OtherConOption class. More...

`#include <OSOption.h>`

Collaboration diagram for OtherConOption:

[legend]
List of all members.

## Public Member Functions
| OtherConOption ()
| Default constructor.
| ~OtherConOption ()
| Class destructor.
bool | IsEqual (OtherConOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | idx
| variable index
std::string | value
| value of the option
std::string | lbValue
| lower bound of the option
std::string | ubValue
| upper bound of the option

## Detailed Description

the OtherConOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2597 of file OSOption.h.

## Constructor & Destructor Documentation

OtherConOption::OtherConOption | ( |  | ) |

Default constructor.

Definition at line 1031 of file OSOption.cpp.

OtherConOption::~OtherConOption | ( |  | ) |

Class destructor.

Definition at line 1042 of file OSOption.cpp.

## Member Function Documentation

bool OtherConOption::IsEqual | ( | OtherConOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 10069 of file OSOption.cpp.

References idx, lbValue, ubValue, and value.

bool OtherConOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11233 of file OSOption.cpp.

References idx, lbValue, OSRand(), ubValue, and value.

Referenced by OtherConstraintOption::setRandom().

## Member Data Documentation

int OtherConOption::idx

variable index

Definition at line 2601 of file OSOption.h.

Referenced by OtherConstraintOption::addCon(), IsEqual(), OSOption::setOtherConstraintOptionCon(), and setRandom().

std::string OtherConOption::value

value of the option

Definition at line 2604 of file OSOption.h.

Referenced by OtherConstraintOption::addCon(), IsEqual(), OSOption::setOtherConstraintOptionCon(), and setRandom().

std::string OtherConOption::lbValue

lower bound of the option

Definition at line 2607 of file OSOption.h.

Referenced by OtherConstraintOption::addCon(), IsEqual(), OSOption::setOtherConstraintOptionCon(), and setRandom().

std::string OtherConOption::ubValue

upper bound of the option

Definition at line 2610 of file OSOption.h.

Referenced by OtherConstraintOption::addCon(), IsEqual(), OSOption::setOtherConstraintOptionCon(), and setRandom().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp